Bug 123342 - [patch] Update devel/codeblocks to 8.02
Summary: [patch] Update devel/codeblocks to 8.02
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-02 20:30 UTC by dirk.meyer
Modified: 2008-05-05 17:12 UTC (History)
0 users

See Also:


Attachments
file.diff (36.07 KB, patch)
2008-05-02 20:30 UTC, dirk.meyer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dirk.meyer 2008-05-02 20:30:09 UTC
	codeblocks 1.0r2 is very old, from 2005
	ports leaves files after deinstallation, no pkg-plist at all.

	codeblocks 8.02 hasb been relased this year.

Fix: I am willing to take maintainership.
	Apply this patch:

files added:
	pkg-plist, files/patch-Makefile.in

files removed:
	files/Makefile, files/patch-CodeBlocks-unix.cbp,
	files/patch-sdk-editormanager.h, files/patch-sdk-managedthread.h,
	files/patch-sdk-xtra_classes.h, files/patch-src-app.cpp,
	files/patch-src-globals.h, files/patch-src-main.cpp,
	files/patch-src-prefix.cpp,
	files/patch-src-wxDockit-include-wx-barholder.h,
	files/patch-templates-unix-wxwidgets.cbp,
	files/patch-templates-unix-wxwidgets.template,
	files/patch-update.sh

How-To-Repeat: 
	The update works well on FreeBSD,
	and is required for some future ports.
Comment 1 Edwin Groothuis freebsd_committer 2008-05-02 20:30:18 UTC
Maintainer of devel/codeblocks,

Please note that PR ports/123342 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/123342

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-05-02 20:30:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Martin Wilke freebsd_committer 2008-05-02 20:44:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Submitter is committer.
Comment 4 m.sund 2008-05-04 22:17:32 UTC
Approved, thanks a lot!

Regards,
Matthias
Comment 5 dfilter service freebsd_committer 2008-05-05 06:12:01 UTC
dinoex      2008-05-05 05:11:56 UTC

  FreeBSD ports repository

  Modified files:
    devel/codeblocks     Makefile distinfo pkg-descr 
  Added files:
    devel/codeblocks     pkg-plist 
    devel/codeblocks/files patch-Makefile.in 
  Removed files:
    devel/codeblocks/files Makefile patch-CodeBlocks-unix.cbp 
                           patch-sdk-editormanager.h 
                           patch-sdk-managedthread.h 
                           patch-sdk-xtra_classes.h 
                           patch-src-app.cpp patch-src-globals.h 
                           patch-src-main.cpp patch-src-prefix.cpp 
                           patch-src-wxDockit-include-wx-barholder.h 
                           patch-templates-unix-wxwidgets.cbp 
                           patch-templates-unix-wxwidgets.template 
                           patch-update.sh 
  Log:
  - update to 8.02
  - add mssing pkg-plist
  PR:             123342
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.6       +14 -77    ports/devel/codeblocks/Makefile
  1.2       +3 -3      ports/devel/codeblocks/distinfo
  1.4       +0 -2887   ports/devel/codeblocks/files/Makefile (dead)
  1.2       +0 -352    ports/devel/codeblocks/files/patch-CodeBlocks-unix.cbp (dead)
  1.1       +11 -0     ports/devel/codeblocks/files/patch-Makefile.in (new)
  1.2       +0 -11     ports/devel/codeblocks/files/patch-sdk-editormanager.h (dead)
  1.2       +0 -13     ports/devel/codeblocks/files/patch-sdk-managedthread.h (dead)
  1.2       +0 -25     ports/devel/codeblocks/files/patch-sdk-xtra_classes.h (dead)
  1.2       +0 -11     ports/devel/codeblocks/files/patch-src-app.cpp (dead)
  1.2       +0 -11     ports/devel/codeblocks/files/patch-src-globals.h (dead)
  1.2       +0 -11     ports/devel/codeblocks/files/patch-src-main.cpp (dead)
  1.2       +0 -71     ports/devel/codeblocks/files/patch-src-prefix.cpp (dead)
  1.2       +0 -11     ports/devel/codeblocks/files/patch-src-wxDockit-include-wx-barholder.h (dead)
  1.2       +0 -15     ports/devel/codeblocks/files/patch-templates-unix-wxwidgets.cbp (dead)
  1.2       +0 -22     ports/devel/codeblocks/files/patch-templates-unix-wxwidgets.template (dead)
  1.2       +0 -13     ports/devel/codeblocks/files/patch-update.sh (dead)
  1.2       +3 -4      ports/devel/codeblocks/pkg-descr
  1.1       +725 -0    ports/devel/codeblocks/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Dirk Meyer freebsd_committer 2008-05-05 17:12:19 UTC
State Changed
From-To: feedback->closed

committed, thanks.